<?php

namespace Ilabs\Eclear_Spot\Remote\Dto;

class Info_DTO {

	/**
	 * @var string
	 */
	private $version;

	/**
	 * @var string
	 */
	private $sub_version;

	/**
	 * @var string
	 */
	private $customer_guid;


	public function to_array(): array {
		return [
			'Version'      => $this->version,
			'SubVersion'   => $this->sub_version,
			'CustomerGUID' => $this->customer_guid,
		];
	}

	/**
	 * @return string
	 */
	public function get_version(): string {
		return $this->version;
	}

	/**
	 * @param string $version
	 */
	public function set_version( string $version ): void {
		$this->version = $version;
	}

	/**
	 * @return string
	 */
	public function get_sub_version(): string {
		return $this->sub_version;
	}

	/**
	 * @param string $sub_version
	 */
	public function set_sub_version( string $sub_version ): void {
		$this->sub_version = $sub_version;
	}

	/**
	 * @return string
	 */
	public function get_customer_guid(): string {
		return $this->customer_guid;
	}

	/**
	 * @param string $customer_guid
	 */
	public function set_customer_guid( string $customer_guid ): void {
		$this->customer_guid = $customer_guid;
	}
}
