<?php

namespace Ilabs\Eclear_Spot\Remote\Dto;


class Product_DTO {

	/**
	 * @var int
	 */
	private $type_of_item;

	/**
	 * @var int
	 */
	private $quantity;

	/**
	 * @var string
	 */
	private $sku;

	/**
	 * @var string
	 */
	private $description;

	/**
	 * @var string
	 */
	private $category_of_Product;

	/**
	 * @var int
	 */
	private $purchasing_price;

	/**
	 * @var int
	 */
	private $retail_price;

	/**
	 * @var int
	 */
	private $taxrate;

	/**
	 * @var string
	 */
	private $ledger;

	/**
	 * @var string
	 */
	private $taric;

	public function to_array(): array {
		return [
			'TypeOfItem'        => $this->type_of_item,
			'Quantity'          => $this->quantity,
			'SKU'               => $this->sku,
			'Description'       => $this->description,
			'CategoryOfProduct' => $this->category_of_Product,
			'PurchasingPrice'   => $this->purchasing_price,
			'RetailPrice'       => $this->retail_price,
			'Taxrate'           => $this->taxrate,
			'Ledger'            => $this->ledger,
			'Taric'             => $this->taric,

		];
	}

	/**
	 * @return int
	 */
	public function get_type_of_item(): int {
		return $this->type_of_item;
	}

	/**
	 * @param int $type_of_item
	 */
	public function set_type_of_item( int $type_of_item ): void {
		$this->type_of_item = $type_of_item;
	}

	/**
	 * @return int
	 */
	public function get_quantity(): int {
		return $this->quantity;
	}

	/**
	 * @param int $quantity
	 */
	public function set_quantity( int $quantity ): void {
		$this->quantity = $quantity;
	}

	/**
	 * @return string
	 */
	public function get_sku(): string {
		return $this->sku;
	}

	/**
	 * @param string $sku
	 */
	public function set_sku( string $sku ): void {
		$this->sku = $sku;
	}

	/**
	 * @return string
	 */
	public function get_description(): string {
		return $this->description;
	}

	/**
	 * @param string $description
	 */
	public function set_description( string $description ): void {
		$this->description = $description;
	}

	/**
	 * @return string
	 */
	public function get_category_of_product(): string {
		return $this->category_of_Product;
	}

	/**
	 * @param string $category_of_Product
	 */
	public function set_category_of_product( string $category_of_Product ): void {
		$this->category_of_Product = $category_of_Product;
	}

	/**
	 * @return int
	 */
	public function get_purchasing_price(): int {
		return $this->purchasing_price;
	}

	/**
	 * @param int $purchasing_price
	 */
	public function set_purchasing_price( int $purchasing_price ): void {
		$this->purchasing_price = $purchasing_price;
	}

	/**
	 * @return int
	 */
	public function get_retail_price(): int {
		return $this->retail_price;
	}

	/**
	 * @param int $retail_price
	 */
	public function set_retail_price( int $retail_price ): void {
		$this->retail_price = $retail_price;
	}

	/**
	 * @return int
	 */
	public function get_taxrate(): int {
		return $this->taxrate;
	}

	/**
	 * @param int $taxrate
	 */
	public function set_taxrate( int $taxrate ): void {
		$this->taxrate = $taxrate;
	}

	/**
	 * @return string
	 */
	public function get_ledger(): string {
		return $this->ledger;
	}

	/**
	 * @param string $ledger
	 */
	public function set_ledger( string $ledger ): void {
		$this->ledger = $ledger;
	}

	/**
	 * @return string
	 */
	public function get_taric(): string {
		return $this->taric;
	}

	/**
	 * @param string $taric
	 */
	public function set_taric( string $taric ): void {
		$this->taric = $taric;
	}
}
